import { useContext } from "react";
import { InfoHeader } from "../..";
import { AppContext } from "../../../../utils";
import { useTranslation } from "react-i18next";
import { View } from "react-native";
import MyButton from "../../../../Components/Button";

export default function GiveFeedbackModalContent({ navigation }) {
  const appContext = useContext(AppContext);
  const { t } = useTranslation();

  return (
    <View>
      <InfoHeader
        appContext={appContext}
        iconName="note-text"
        text={t("screens.help.modalGiveFeedback.pageInfoText")}
      />

      <View style={{ alignItems: "center" }}>
        <MyButton
          title={t("screens.help.modalGiveFeedback.buttonGiveFeedback")}
          style={{ width: "90%" }}
          onPress={() => navigation.navigate("modalFeedbackSteps")}
        />
      </View>
    </View>
  );
}
